Page MenuHomePhabricator

"Modern, consistent user experience" plenary session at the MediaWiki Developer Summit 2015
Closed, ResolvedPublic

Description

Notes : http://etherpad.wikimedia.org/p/McUX

Where : 2:45 - 3:30 Robertson 2

What :
Modern, consistent user experience [Trevor/Jared]

  • Front-end standards
    • Brief discussion of architectural principals
    • Wrap up of what we've accomplished in the past year
    • Roadmap of the year ahead
    • Framing the standardization process
  • Living style guide
  • Take questions

Event Timeline

Qgil created this task.Jan 12 2015, 10:14 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil assigned this task to TrevorParscal.
Qgil added subscribers: Qgil, Jaredzimmerman-WMF.
GWicke added a subscriber: GWicke.EditedJan 14 2015, 12:55 AM

Two issues that I think could be interesting to bring up in the discussion part of this session:

  • With our growing reliance on client-side JS, what should be our policy for no-JS support for
    • a) editors, and
    • b) anons
  • Working towards lightning fast CDN-based views for editors: Can we annotate anon HTML on the client using JS, or should we use something like ESI on the server?

For the first question, I hope that we can get data for current JS / no-JS market share for anons vs. editors in T58575 or T1384.

@werdna @Prtksxna @violetto Please plan on being present for this session, Trevor and I will be presenting, but the format is 10+10mins presentation then 35 mins of Q&A its 2:15 on 1/26 during the MWDS. Since you folks will likely be the ones who can answer questions in greater detail I'll need you there with us. Thanks!

bearND added a subscriber: bearND.Jan 17 2015, 12:08 AM
Quiddity updated the task description. (Show Details)Jan 25 2015, 6:22 AM
Qgil added a comment.Jan 27 2015, 7:01 AM

Please update the description with the achievements of this session. Thank you in advance.

Jdforrester-WMF closed this task as Resolved.Mar 19 2015, 11:25 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.